#pragma once

#include "utils/vector.h"
#include "utils/matrix.h"


namespace utils{

	template <typename T>
	utils::Matrix<T> eye(const T a, const utils::Vector<T>& b){

		const uint64_t N = b.size();
		utils::Matrix<T> C(N, a, T{0});

		for (uint64_t i = 0; i < N; ++i){
			C(i, b[i]) = T{1};
		}
		return C;
	}




} // end namespace utils